/**
 | File: bernoulli.h - Header file for 'bernoulli.c'
 |
 | A procedure that returns an integer random number distributed
 | according to the Bernoulli distribution of 'n' trials with a
 | probability 'p'; uses 'rannum.c' to obtain random numbers with
 | uniform distribution.
 |
 | From: Press, Teukolsky, Vetterling and Flannery -- Numerical
 |       Recipes in C (2nd Ed.) -- Cambridge University Press
 |       (1992) -- Pagg. 295-296 .
 |
 | $Id: bernoulli.h,v 1.1 1999/05/18 13:37:46 loreti Exp $
 |
**/

#ifndef BERNOULLI_H_
#define BERNOULLI_H_

#include "gammln.h"
#include "rannum.h"

unsigned int bernoulli(const unsigned int n, const double p);

#endif
