/**
 | File: boxmul.h - Header file for 'boxmul.c'
 |
 | An implementation of the Box-Muller method to obtain normally
 | distributed random numbers.  Uses 'rannum.c' to obtain
 | random numbers with uniform distribution.
 |
 | From: Press, Teukolsky, Vetterling and Flannery -- Numerical
 |       Recipes in C (2nd Ed.) -- Cambridge University Press
 |       (1992) -- Pagg. 288-290 .
 |
 | $Id: boxmul.h,v 1.1 1999/05/18 13:37:46 loreti Exp $
 |
**/

#ifndef BOXMUL_H_
#define BOXMUL_H_

#include "rannum.h"

double boxmul(void);

#endif
