/**
 | File: poisson.h - Header file for 'poisson.c'
 |
 | A procedure that returns an integer random number distributed
 | according to the Poisson distribution with mean 'xm'; uses
 | 'rannum.c' to obtain random numbers with uniform distribution.
 |
 | From: Press, Teukolsky, Vetterling and Flannery -- Numerical
 |       Recipes in C (2nd Ed.) -- Cambridge University Press
 |       (1992) -- Pagg. 294-295 .
 |
 | $Id: poisson.h,v 1.1 1999/05/18 13:37:46 loreti Exp $
 |
**/

#ifndef POISSON_H_
#define POISSON_H_

#include "gammln.h"
#include "rannum.h"

unsigned int poisson(const double xm);

#endif
