/**
 | File: rangamma.h - Header file for 'rangamma.c'
 |
 | A procedure that returns a random number distributed according
 | to the gamma distribution of integer order 'ia' (i.e. the waiting
 | time to the ia-th event in a Poisson process of unit mean); uses
 | 'rannum.c' to obtain random numbers with uniform distribution.
 |
 | From: Press, Teukolsky, Vetterling and Flannery -- Numerical
 |       Recipes in C (2nd Ed.) -- Cambridge University Press
 |       (1992) -- Pagg. 292-293 .
 |
 | $Id: rangamma.h,v 1.1 1999/05/18 13:37:46 loreti Exp $
 |
**/

#ifndef RANGAMMA_H_
#define RANGAMMA_H_

#include "rannum.h"

double rangamma(const unsigned int ia);

#endif
