/* Driver for routine boxmul (Num. Rec.) */

#include <stdio.h>
#include "boxmul.h"

#define N      20
#define NOVER2 (N / 2)
#define NPTS   100000
#define ISCAL  400
#define LLEN   50

int main()
{
  char words[LLEN+1];
  int i, j, k, klim, dist[N+1];
  double dd, x;

  ranSetSeed(12349, 87653);
  for (j = 0;   j <= N;   j++) dist[j]=0;
  for (i = 1;   i <= NPTS;   i++) {
    x = 0.25 * N * boxmul();
    j = (int)(x > 0 ? x + 0.5 : x - 0.5);
    if ((j >= -NOVER2)   &&   (j <= NOVER2)) ++dist[j+NOVER2];
  }
  printf("Normally distributed deviate of %d points\n", NPTS);
  printf ("%5s %10s %9s\n", "x", "p(x)", "graph:");
  for (j = 0;   j <= N;   j++) {
    dd = (double) dist[j] / NPTS;
    for (k = 1;   k <= LLEN;   k++) words[k] = ' ';
    klim = (int) (ISCAL * dd);
    if (klim > LLEN)  klim = LLEN;
    for (k = 1;   k <= klim;   k++) words[k] = '*';
    printf("%8.4f %8.4f  ", j / (0.25 * N), dd);
    for (k = 1;   k <= LLEN;   k++) printf("%c", words[k]);
    printf("\n");
  }
  return 0;
}
