/* Driver for routine poisson (Num. Rec.) */

#include <stdio.h>
#include "poisson.h"

#define N     20
#define NPTS  100000
#define ISCAL 200
#define LLEN  50

int main()
{
  char txt[LLEN+1];
  int i, j, k, klim, dist[N+1];
  double xm, dd;

  ranSetSeed(12349, 87653);
  for (;;) {
    for (j = 0;   j <= N;   j++) dist[j]=0;
    do {
      printf("Mean of Poisson distribution (0.0<x<%d.0) ", N);
      printf("- Negative to end:\n");
      scanf("%lf", &xm);
    } while (xm > N);
    if (xm < 0.0) break;
    for (i = 1;   i <= NPTS;   i++) {
      j = poisson(xm);
      if ((j >= 0)   &&   (j <= N)) ++dist[j];
    }
    printf("Poisson-distributed deviate, mean %.2f of %d points\n", xm,NPTS);
    printf("%5s %8s %10s\n", "x", "p(x)", "graph:");
    for (j = 0;   j <= N;   j++) {
      dd = (double) dist[j] / NPTS;
      for (k = 0;   k <= LLEN;   k++) txt[k] = ' ';
      klim = (int) (ISCAL * dd);
      if (klim > LLEN) klim = LLEN;
      for (k = 1;   k <= klim;   k++) txt[k] = '*';
      txt[LLEN] = '\0';
      printf("%6d %8.4f   %s\n", j, dd, txt);
    }
  }
  return 0;
}
